define(['zepto', 'medtap', 'mui', 'mui.picker'], function($, medtap, mui) {　
  var myQuestionnaireList = {
     // 修改人员id
     adminId: medtap.getRequest('adminId')||'',
     // 问卷id
    followUpId: '',
    wechatId: medtap.getRequest('wechatId')||localStorage.getItem('wechatId'),
    init:function(){
      if(medtap.getRequest('wechatId')){
        myQuestionnaireList.getToken()
      }
      $(".tabbox li").click(function ()
      　　{
    　　　　//获取点击的元素给其添加样式，讲其兄弟元素的样式移除
    　　　　$(this).addClass("active").siblings().removeClass("active");
    　　　　//获取选中元素的下标
    　　　　var index = $(this).index();
    　　　　$(this).parent().siblings().children().eq(index).addClass("active")
    　　　　.siblings().removeClass("active");
      　　});
      myQuestionnaireList.getQuestionnaireList()
    },
    getToken:function(){
			localStorage.wxLungToken = '';
			medtap.loading(1);
			medtap.submitAjax({
				url: 'https://gateway.medtap.cn/user/auth/token',
				type: 'POST',
				async: false,
				contentType: 'application/json',
				data: {
					wechatId: myQuestionnaireList.wechatId
				},
				success: function(res) {
					medtap.loading(0);
					if (res.success == true) {
						var token = res.content.token;
						localStorage.setItem('wxLungToken', token);
					} else {
			
					}
				},
				error: function(res) {
					console.log(res.resultDesc);
				}
			})
		},
  //  获取问卷列表
    getQuestionnaireList:function(){
      medtap.submitAjax({
				url: "https://gateway.medtap.cn/operation/followUp/followUpList",
				type: 'post',
        async: false,
        contentType: 'application/json',
				data: {
          "adminId": myQuestionnaireList.adminId
				},
        success: function(res) {
          var html = ''
          var QuestionnaireList = res.content.followUpList
          if(QuestionnaireList.length>0){
          for (var i = 0; i < QuestionnaireList.length; i++) {
            var times = QuestionnaireList[i].answerTime.split('-')
            var mouthTime =times[1]
            var yearTime = times[0]
            
           html += '<li class="my_questionnaire_list" data-status='+QuestionnaireList[i].status+' data-id='+QuestionnaireList[i].id+'>'
            + yearTime + '年' + mouthTime + '月随访问卷'
            +'<span class="my_questionnaire_list_after">已完成</span></li>'
         }
         $('.my_questionnaire_box').append(html)
         var list = document.querySelectorAll('.my_questionnaire_box li')
            for(var i=0; i<list.length;i++){
              if(list[i].dataset.status!=1){
             list[i].children[0].hidden=true
              }
            }
        //  点击进入详情
        $('.my_questionnaire_box').on('tap','.my_questionnaire_list',function(){
          myQuestionnaireList.followUpId = $(this).attr('data-id')
          if($(this).attr('data-status')=='0'){
            medtap.pushWindow('../rukou.html?followUpId='+myQuestionnaireList.followUpId+'&adminId='+myQuestionnaireList.adminId+'&wechatId='+myQuestionnaireList.wechatId)
          }else{
            medtap.pushWindow('../pages/questionnaireDetails.html?followUpId='+myQuestionnaireList.followUpId+'&adminId='+myQuestionnaireList.adminId)
          }
         
        })
       }else{
          var html ='<div class="my_questionnaire_no">'+
                        '<div class="my_questionnaire_no_img">'+
                          '<img src="../images/ILCC_question_png@2x.png" alt="">'+
                          '<p class="my_questionnaire_no_text">暂无问卷</p>'+
                        '</div>'+
                      '</div>'
            $('.my_questionnaire_box').append(html)         
        }
        }
      })
    }
  }
  myQuestionnaireList.init()
})